#ifndef WMAIN_H
#define WMAIN_H

#include <QMainWindow>
#include <QVariant>

#include "ui_wmain.h"

class WMain : public QMainWindow, public Ui_WMain
{
    Q_OBJECT
public:
    WMain();
    ~WMain();
    bool stopWanted;

    virtual QString fnPrefix( const QString & s_ );
    virtual QString bareFile( const QString & s_ );
    virtual QString toFname( const QString & _s );

    virtual void dragEnterEvent( QDragEnterEvent * event );
    virtual void dropEvent( QDropEvent * event );


public slots:
    virtual void on_actionStartExtraction_triggered();
    virtual void on_actionStop_triggered();
    virtual void on_btnBrowse_clicked();
    virtual void on_destPath_editingFinished();
    virtual void on_actionAdd_triggered();
    virtual void on_actionRemove_triggered();
    virtual void on_actionQuit_triggered();
    virtual void on_btnClearLog_clicked();
    virtual void on_trackFormat_textChanged( const QString & );
    virtual void on_actionAbout_triggered();

    virtual void on_btnStop_clicked()    { actionStop->trigger(); }
    virtual void on_btnExtract_clicked() { actionStartExtraction->trigger(); }
    virtual void on_removeSelected2_triggered() { actionRemove->trigger(); }

    virtual int unpackCue( const QString & fname, bool checkOnly );
    virtual void addFileList( QStringList lst );
    virtual void selectCue( const QString & s_ );
    virtual void lognormal( const QString & s );
    virtual void logerror( const QString & s );
    virtual void doExtract();
};

#endif // WMAIN_H
